using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.Webservice.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.Webservice.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.BulkAvailability.WebApi
{
    public class GetRange2Api
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/BulkAvailability/V17/Webservice/GetRange2",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
